import audioEngine = cc.audioEngine;

const {ccclass, property} = cc._decorator;

@ccclass
export default class Helloworld extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    @property
    text: string = 'hello';

    @property(cc.AudioClip)
    audioClip: cc.AudioClip = null

    start() {
        // init logic
        this.label.string = this.text;


        cc.audioEngine.playMusic(this.audioClip, true)
    }

    onSlider(slider: cc.Slider) {
        console.log(slider.progress)
        cc.audioEngine.setMusicVolume(slider.progress)

        //一旦切了场景， 调背景音大小的就失效了。效果就变成类似这样了
        // cc.audioEngine.setMusicVolume(Maht.ceil(slider.progress))
    }

    onClickChange(){

        cc.director.loadScene("helloworld")
    }


    //如果监听了这两个事件 在微信平台切到后台就能正常， 否则不行
    //但除了微信平台外， 其它平台都不需要
    xxxx(){
        cc.game.on(cc.game.EVENT_HIDE, function () {

            //用这个还不行， 居然不等效于下面两个
            // cc.audioEngine.pauseAll()

            //
            cc.audioEngine.pauseAllEffects()
            cc.audioEngine.pauseMusic()
        });

        cc.game.on(cc.game.EVENT_SHOW, function () {

            // cc.audioEngine.resumeAll()
            cc.audioEngine.resumeAllEffects()
            cc.audioEngine.resumeMusic()
        });
    }
}
